
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch converts kcalloc(1, ...) calls to use the new kzalloc() function.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/hotplug/sgi_hotplug.c |    6 +++---
 drivers/pci/pci-sysfs.c           |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/pci/hotplug/sgi_hotplug.c~pci-convert-kcalloc-to-kzalloc drivers/pci/hotplug/sgi_hotplug.c
--- devel/drivers/pci/hotplug/sgi_hotplug.c~pci-convert-kcalloc-to-kzalloc	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/pci/hotplug/sgi_hotplug.c	2005-09-12 03:34:35.000000000 -0700
@@ -159,7 +159,7 @@ static int sn_hp_slot_private_alloc(stru
 
 	pcibus_info = SN_PCIBUS_BUSSOFT_INFO(pci_bus);
 
-	slot = kcalloc(1, sizeof(*slot), GFP_KERNEL);
+	slot = kzalloc(sizeof(*slot), GFP_KERNEL);
 	if (!slot)
 		return -ENOMEM;
 	bss_hotplug_slot->private = slot;
@@ -491,7 +491,7 @@ static int sn_hotplug_slot_register(stru
 		if (sn_pci_slot_valid(pci_bus, device) != 1)
 			continue;
 
-		bss_hotplug_slot = kcalloc(1, sizeof(*bss_hotplug_slot),
+		bss_hotplug_slot = kzalloc(sizeof(*bss_hotplug_slot),
 					   GFP_KERNEL);
 		if (!bss_hotplug_slot) {
 			rc = -ENOMEM;
@@ -499,7 +499,7 @@ static int sn_hotplug_slot_register(stru
 		}
 
 		bss_hotplug_slot->info =
-			kcalloc(1, sizeof(struct hotplug_slot_info),
+			kzalloc(sizeof(struct hotplug_slot_info),
 				GFP_KERNEL);
 		if (!bss_hotplug_slot->info) {
 			rc = -ENOMEM;
diff -puN drivers/pci/pci-sysfs.c~pci-convert-kcalloc-to-kzalloc drivers/pci/pci-sysfs.c
--- devel/drivers/pci/pci-sysfs.c~pci-convert-kcalloc-to-kzalloc	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/pci/pci-sysfs.c	2005-09-12 03:34:35.000000000 -0700
@@ -360,7 +360,7 @@ pci_create_resource_files(struct pci_dev
 			continue;
 
 		/* allocate attribute structure, piggyback attribute name */
-		res_attr = kcalloc(1, sizeof(*res_attr) + 10, GFP_ATOMIC);
+		res_attr = kzalloc(sizeof(*res_attr) + 10, GFP_ATOMIC);
 		if (res_attr) {
 			char *res_attr_name = (char *)(res_attr + 1);
 
_
